#include <stdio.h>
#include <stdlib.h>

#define N 1024

#define TIME_DIFF(t1, t2) \
	((t2.tv_sec - t1.tv_sec) * 1000000 + (t2.tv_usec - t1.tv_usec))

char a[N][N];
char b[N][N];
char c[N][N];

void mulMat() {
	int i,j,k;
	for(i=0;i<N;i++) {
		for(j=0;j<N;j++) {
			c[i][j]=0;
			for(k=0;k<N;k++)
				c[i][j]+=a[i][k]*b[k][j];			
		}
	}
}


int main(int argc, char ** argv){
	int i,j;
	for(i=0;i<N;i++)
		for(j=0;j<N;j++){			
			a[i][j]=rand()%2;
			b[i][j]=rand()%2;
		}

	mulMat();
	return 0;
}
